Subject: RE: ramdisk setup?

From: "Naik, Uday" <[email-masked]>
Date: Wed, 10 May 2000 15:10:49 -0700

My guess is the serial port is the culprit. 
Check out drivers/char/serial_sa1100.c. 
Put the console (for printk's etc) on a 
different port than the one on which you
are launching the getty/login process.
The SA1100 driver hardcodes the console port
based on the machine. 

Uday

---

All opinions expressed are mine and do not reflect those of my employer.

-----Original Message-----
From: Chris Blazie [mailto:[email-masked]]
Sent: Wednesday, May 10, 2000 1:42 PM
To: [email-masked]
Subject: ramdisk setup?

	I've become kind of stuck in the boot process somewhere after the
ramdisk apparently gets mounted.  In fixup_sa1100 I have:

                SET_BANK( 0, 0xc0000000, 64*1024*1024 );
                SET_BANK( 1, 0xc8000000, 64*1024*1024 );        
                mi->nr_banks = 2;    

                ROOT_DEV = MKDEV(RAMDISK_MAJOR,0);
                setup_ramdisk( 1, 0, 0, 8192 );                         
                setup_initrd( __phys_to_virt(0xc0400000), 3*1024*1024 );
}

	But it stops as shown below.  I'm using Nicolas's ramdisk_img.gz.
I tried setting init->bash but it's apparently not getting that far.

	Does this setup look correct?

	Also, I want to make the ramdisk live in flash when everything
else comes up okay.  What is required to make a ramdisk in flash get
mounted properly?

Thanks,
Chris  

Linux version 2.3.99-pre3-rmk3-np2 (root@cassius) (gcc version 2.95.2
20000212 (re0
Architecture: Blazie Engineering Sherman
On node 0 totalpages: 16384
zone(0): 16384 pages.
zone(1): 0 pages.
zone(2): 0 pages.
On node 1 totalpages: 16384
zone(0): 16384 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Calibrating delay loop... 124.52 BogoMIPS
Memory: 64MB 64MB = 128MB total
Memory: 124616KB available (596K code, 414K data, 8K init)
Buffer-cache hash table entries: 8192 (order: 3, 32768 bytes)
Page-cache hash table entries: 32768 (order: 5, 131072 bytes)
POSIX conformance testing by UNIFIX
Linux NET4.0 for Linux 2.3
Based upon Swansea University Computer Society NET3.039
Starting kswapd v1.6
SA1100 serial driver version 1.2
ttyS0 on SA1100 UART3 (irq 17)
ttyS1 on SA1100 UART1 (irq 15)
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
RAMDISK: Compressed image found at block 0
NetWinder Floating Point Emulator V0.95 (c) 1998-1999 Rebel.com
VFS: Mounted root (ext2 filesystem).
Freeing unused kernel memory: 8k init

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for
++
++                        kernel-related discussions.
++

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++